:root {
    --main-text-color: #ffffff;
    --highlight-text-color: #20A6FF;
    --card-circle-gradient: radial-gradient(circle at top center, #0B38C4 0%, #051B5E 100%);
}


/* RESET BÁSICO */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background-color:rgba(50, 40, 155, 1);
}

.first_section {
    width:100%;
    background-image: url('../img/top_section_back_webp_light.webp');
    background-size:cover;
}

/*CTA Button*/

.cta_button {
    display:flex;
    flex-direction:row;
    align-items:center;
    justify-content:center;
    gap:4px;
    background-color: #20A6FF;
    border-radius: 24px;
    padding:12px 24px 12px 24px;
    cursor:pointer;
    max-width:200px;
}

    .cta_button a {
        text-decoration: none;
        font-weight: bold;
        color: var(--main-text-color);
        transition: 0.3s;
        font-size:0.8em;
    }

    .cta_button:hover {
        background: linear-gradient(256deg, #FD4A1A 0%, #FF7752 100% );
        box-shadow: 0px 5px 20px 0px;
        border-bottom: solid #df3203 1px;
        border-right: solid #df3203 1px;
        transition: 0.5s;
    }

/* CONTENEDOR PRINCIPAL */
.top_section {
    width: 75%;
    margin: 0 auto;
    padding: 40px 0;

}

/* NAVBAR */
.custom_nav {
    display: flex;
    justify-content: space-between; /* extremos */
    align-items: center;
    margin-bottom: 60px;
}

    .custom_nav img {
        max-height: 60px;
    }


/* HERO SECTION */
.hero_section {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 40px;
}

/* TEXTO */
.hero_text {
    flex: 1;
}

    .hero_text h1 {
        font-size: 1.9rem;
        margin-bottom: 20px;
        color: var(--main-text-color);
        font-weight: bold;
        line-height: 45px;
    }

    .hero_text p {
        font-size: 1rem;
        line-height: 1.6;
        text-align: justify;
        color: var(--main-text-color);
        width:85%;
    }

    .hero_text span {
        color: var(--highlight-text-color);
    }

/* IMAGEN */
.hero_img {
    flex: 1;
    display: flex;
    justify-content: center;
}

    .hero_img img {

        height: auto;
    }

/* ========================= */
/* HIRING SECTION */
/* ========================= */

.hiring_section {
    width: 100%;
    margin: 0 auto;
    padding: 60px 0;
    text-align: center;
}

.hiring_title {
    font-weight: bold;
    font-size: 1.2rem;
    margin-bottom: 40px;
    color:var(--main-text-color);
}

/* CONTENEDOR DE LOGOS */
.hiring_imgs {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 8px; /* separación entre logos */
}

/* CONTENEDOR INDIVIDUAL */
.hire_logo {
    background: rgba(0, 70, 255, 0.5); /* azul con 50% transparencia */
    border-radius: 12px;
    padding: 20px;
    display: flex;
    justify-content: center;
    max-width:250px;
    align-items: center;
}

    /* LOGO */
    .hire_logo img {
        width: 100%;
    }

/* ========================= */
/* FOUNDER SECTION */
/* ========================= */


.foundation_section {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 600px;
    margin: 0 auto;
    padding: 60px 0;
    background-image: url(../img/marvin_founder.webp);
    background-size: cover;
    background-position-x:-280px;
}

.founder_section {
    width: 75%;
    display: flex;
    justify-content: flex-start; /* alineado derecha */
}

.founder_description {
    flex: 0 0 100%;
    padding: 40px;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: justify;
    color: var(--main-text-color);
    max-height: 600px;

}

.ratings {
    width: 50%;
}


/* ========================= */
/* COURSES SECTION */
/* ========================= */

.second_section {
    width:100%;
    background-image: url('../img/courses_section_background.webp');
    background-size: cover;
}

.courses_section {
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:24px;
    width: 64%;
    margin: 0 auto;
    padding: 60px 0;
    text-align: center;

}

.courses_title h1{
    font-weight: bold;
    font-size: 1.5rem;
    margin-bottom: 10px;
    color: var(--main-text-color);
}

/* CONTENEDOR DE CURSOS */
.courses_detail {
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 8px; /* separación entre cards */
    flex-wrap: wrap;
}

/* CARD INDIVIDUAL */
.course {
    flex: 1;
    min-width: 260px;
    border-radius: 16px;
    padding: 30px 0;
    display: flex;
    flex-direction: column; /* elementos uno sobre otro */
    align-items: center;
    justify-content: center;
    background: var(--card-circle-gradient);
}

/* CONTENIDO INTERNO */
.course_icon,
.course_info,
.courses_cta {
    width: 80%;
    margin-bottom: 20px;
}

    /* ICONO */
    .course_icon img {
        width: 90px;
        height: auto;
        padding:12px;
    }

    /* INFO */
    .course_info h1 {
        font-size: 0.9rem;
        margin-bottom: 15px;
        text-align: center; /* título centrado */
        color:var(--main-text-color);
        font-weight:bold;
    }

    .course_info p {
        font-size: 0.9rem;
        line-height: 1.6;
        text-align: justify; /* descripción justificada */
        color:var(--main-text-color);
    }



/* ========================= */
/* THIRD SECTION */
/* ========================= */


.third_section {
    display:flex;
    flex-direction:row;
    align-items:center;
    justify-content:center;
    width: 100%;
    height:600px;
    margin: 0 auto;
    padding: 60px 0;
    background-image:url(../img/reviews_background-optimal.webp);
    background-size:cover;
}

.reviews_section {
    width:85%;
    display: flex;
    justify-content: flex-end; /* alineado derecha */
}

.ratings {
    width: 50%;
}

/* ========================= */
/* CAROUSEL */
/* ========================= */

.carousel {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
}

.carousel_track_container {
    overflow: hidden;
    width: 100%;
}

.carousel_track {
    display: flex;
    transition: transform 0.4s ease-in-out;
}

.review_item {
    flex: 0 0 100%;
    padding: 40px;
    border-radius: 16px;
    background: #f5f7ff;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    max-height:600px;
}

    /* Textos */
    .review_item h2 {
        margin-bottom: 5px;
    }

    .review_item h4 {
        margin-bottom: 15px;
        opacity: 0.7;
    }

.rating {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 20px;
}

.review_item p {
    text-align: justify;
    max-width: 90%;
}

/* BOTONES */

.carousel_btn {
    background: none;
    color: #fff;
    border: solid 1px;
    font-size: 20px;
    width:60px;
    height:50px;
    cursor: pointer;
    border-radius: 50%;
    transition: 0.3s;
}

    .carousel_btn:hover {
        opacity: 0.8;
    }

.prev {
    margin-right: 10px;
}

.next {
    margin-left: 10px;
}

/* ========================= */
/* CAROUSEL */
/* ========================= */

.carousel {
    overflow: hidden;
    width: 80%;
}

.carousel_track {
    display: flex;
    width: 100%;
    animation: slide 12s infinite;
}

.review_item {
    flex: 0 0 100%;
    padding: 40px;
    border-radius: 16px;
    background: #0070A6;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: center;
}

    /* TEXTOS */

    .review_item h2 {
        margin-bottom: 5px;
        color:var(--main-text-color);
    }

    .review_item h4 {
        margin-bottom: 15px;
        font-weight: normal;
        color: var(--main-text-color);
        opacity: 0.7;
    }

.rating {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 20px;
}

.review_item p {
    text-align: justify;
    color: var(--main-text-color);
    max-width: 90%;
}


/* ========================= */
/* FOURTH SECTION */
/* ========================= */

.fourth_section {
    background-image: url('../img/courses_section_background.webp');
    background-size: cover;
}

.services_section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
    width: 74%;
    margin: 0 auto;
    padding: 60px 0;
    text-align: center;
}

.services_title {
    font-weight: bold;
    font-size: 1.5rem;
    margin-bottom: 20px;
    color:var(--main-text-color);
}

/* CONTENEDOR DE CURSOS */
.services_detail {
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 8px; /* separación entre cards */
    flex-wrap: wrap;
}

/* CARD INDIVIDUAL */
.service {
    flex: 1;
    min-width: 250px;
    border-radius: 16px;
    padding: 30px 0;
    display: flex;
    flex-direction: column; /* elementos uno sobre otro */
    align-items: center;
    justify-content: center;
    background: var(--card-circle-gradient);
}

/* CONTENIDO INTERNO */
.service_icon,
.service_info,
.services_cta {
    width: 80%;
    margin-bottom: 20px;
}

    /* ICONO */
    .service_icon img {
        width: 60px;
        height: auto;
    }

    /* INFO */
    .service_info h1 {
        font-size: 1.2rem;
        margin-bottom: 15px;
        text-align: center; /* título centrado */
        color:var(--main-text-color);
    }

    .service_info p {
        font-size: 0.9rem;
        line-height: 1.6;
        text-align: justify; /* descripción justificada */
        color:var(--main-text-color);
    }

    /* CTA */
    .services_cta a {
        display: inline-block;
        padding: 10px 20px;
        background: #0046ff;
        color: #fff;
        text-decoration: none;
        border-radius: 8px;
        transition: 0.3s;
    }

        .services_cta a:hover {
            opacity: 0.8;
        }


/* ========================= */
/* FIFTH SECTION - CONTACT */
/* ========================= */

.fifth_section {
    display:flex;
    flex-direction:row;
    align-items:center;
    width: 65%;
    margin: 0 auto;
    padding: 60px 0;
}

.contact_section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
}

/* TEXTO */
.contact_text {
    flex: 1;
}

    .contact_text h1 {
        margin-bottom: 20px;
        color:var(--main-text-color);
        font-weight:500;
    }

    .contact_text p {
        line-height: 1.6;
        max-width: 90%;
        color:var(--main-text-color);
    }

/* FORMULARIO */
.contact_form {
    flex: 1;
}

    /* FORM */
    .contact_form form {
        display: flex;
        flex-direction: column;
        gap: 32px; /* separación entre campos */

    }

        /* CADA BLOQUE DE CAMPO */
        .contact_form form div {
            display: flex;
            flex-direction: column;
        }

    /* LABEL */
    .contact_form label {
        display:flex;
        flex-direction:row;
        align-items:center;
        gap:8px;
        margin-bottom: 12px; /* separación label-input */
        font-weight: 500;
        color:var(--main-text-color);
    }

    /* INPUT */
    .contact_form input {
        padding: 10px;
        border-radius: 8px;
        border: 1px solid #ccc;
        font-size: 1rem;
    }

/* CTA */
.contact_cta {
    color:var(--main-text-color);
    border:none;
    max-width:180px;
}


footer {
    background: #0a0f2c; /* fondo oscuro elegante */
    padding: 60px 0;
}

.custom_footer {
    width: 70%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
}

    /* BLOQUES */
    .custom_footer > div {
        flex: 1; /* todos mismo tamaño */
    }

/* LOGO */
.logo img {
    max-width: 150px;
    height: auto;
}

/* LINKS BLOCK */
.links_block {
    display: flex;
    flex-direction: column; /* links uno sobre otro */
}

    /* LABEL */
    .links_block label {
        color: white;
        font-weight: bold;
        margin-bottom: 15px;
    }

    /* LINKS */
    .links_block a {
        color: #cfd3ff;
        text-decoration: none;
        margin-bottom: 8px;
        transition: 0.3s;
    }

        .links_block a:hover {
            color: white;
        }


/* ========================= */
/* RESPONSIVE */
/* ========================= */


@media (max-width:1024px){
    .hero_img {
        display: none;
    }

}

@media (max-width: 992px) {

    .top_section {
        width: 100%; /* ocupa todo el ancho */
        padding: 30px 20px;
    }

    .hero_section {
        flex-direction: column; /* se apilan */
        text-align: left;
    }


    .hero_text h1 {
        font-size: 2rem;
    }

    .hiring_section {
        width: 100%;
        padding: 40px 20px;
    }

    .hiring_imgs {
        justify-content: center;
    }

    /* Cada logo ocupa 48% para que se vean en parejas */
    .hire_logo {
        flex: 0 0 48%;
    }

    .founder_section{
        width:100%;


    }

    .foundation_section {
        background-image: none;
        background: #0f3c68;
    }

    .founder_description {
        width: 100%;
        overflow: hidden;
    }

    .courses_section {
        width: 100%;
        padding: 40px 20px;
    }

    .courses_detail {
        flex-direction: column; /* cursos uno sobre otro */
        align-items: center;
    }

    .course {
        width: 100%;
    }

    .third_section {
        display:none;


    }

    .reviews_section {
        justify-content: center; /*  centrado horizontal */
        align-items: center;
        width: 100%;

    }

    .ratings {
        width: 100%; /* ocupa todo el ancho */
        display: flex;
        justify-content: center; /* centra el carousel dentro */
    }

    .carousel {
        width: 100%;
        max-width: 500px; /* opcional: evita que se vea demasiado ancho */
    }

    .fifth_section {
        width: 100%;
        padding: 40px 20px;
    }

    .contact_section {
        flex-direction: column; /*  uno sobre otro */
    }

    .contact_text {
        margin-bottom: 30px;
    }

    .contact_form{
        width:100%;
    }

    .custom_footer {
        width: 100%;
        padding: 0 20px;
        flex-direction: column; /* uno sobre otro */
        gap: 30px;
    }

        .custom_footer > div {
            width: 100%;
        }
}
